Name:           vttest
Version:        20111210
Release:        6%{?dist}
Summary:        Test the compatibility of so-called "VT100-compatible" terminals

Group:          Applications/System
License:        MIT
URL:            http://invisible-island.net/vttest/vttest.html
Source0:        ftp://invisible-island.net/vttest/vttest-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  readline-devel

# config.{sub,guess} from automake-1.13
Patch0: vttest-20111210-config.diff

%description
vttest is a program to test the compatibility (or to demonstrate the
non-compatibility) of so-called "VT100-compatible" terminals. 

%prep
%setup -q
%patch0 -p1

#fix character encoding
for f in README; do
        iconv -f ISO-8859-15 -t UTF-8 $f > ${f}.tmp && \
                mv -f ${f}.tmp ${f} || \
                rm -f ${f}.tmp
done


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BUGS CHANGES COPYING MANIFEST README
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Mon Aug 19 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 20111210-6
- Don't run the autotools (Sources are incompatible w/ modern autotools)
  (FTBFS, RHBZ#992865)
- Add vttest-20111210-config.diff/Import automake-1.13's config.{sub,guess}
  (RHBZ#926707)
- Fix bogus %%changelog date.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20111210-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 08 2013 Adam Miller <maxamillion@fedoraproject.org> - 20111210-4
- #BZ926707 - support aarch64

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20111210-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20111210-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Adam Miller <maxamillion@fedoraproject.org> - 20111210-1
- Updated to latest upstream release

* Wed Jul 13 2011 Adam Miller <maxamillion@fedoraproject.org> - 20110705-1
- Updated to latest upstream release

* Tue Apr 05 2011 Adam Miller <maxamillion@fedoraproject.org> - 20100830-1
- Updated to latest upstream release
- Added patch from dkutalek@redhat.com

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071216-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071216-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20071216-3
- Updated source url

* Sun Aug 10 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20071216-2
- Updated prep for consistency
- License changed to MIT

* Mon Aug 04 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 20071216-1
- Initial build
